Bug 125898 - yum.cron not running clean. Old update rpms fill up var.
yum.cron not running clean. Old update rpms fill up var.
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-06-13 11:33 EDT by Adam Gibson
Modified: 2014-01-21 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version: 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-29 14:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Gibson 2004-06-13 11:33:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
The cron script for yum(yum.cron) never cleans up old rpms from
previous upgrades.  This causes /var partitions to fill up over time
causing some applications that use /var to stop working in such a way
that you dont know why they dont work anymore.

yum clean should be put into the cron script right after an upgrade so
that old rpms and headers that are not usable anymore are cleaned up.

If you think that some people might not want that for some reason then
make it a config setting in /etc/sysconfig/yum.  I am going to
recommend the same thing for setting the debug
level(/etc/sysconfig/yum) for the yum.cron script since I like to get
cron.daily output when a package gets updated(I set -d to 1).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. enable yum.cron daily script by running 'chkconfig yum on' and then
service yum start both as root.
2. Wait until an update is available and the cron job runs the next night.
3. Look at the /var/cache/yum and see that the rpm file is still there
even though it is already updated.

Actual Results:  var started filling up

Expected Results:  yum cron script should have cleaned up the updated
rpm by running yum clean after it ran yum update.

Additional info:

This is an important update because some people have 500 to 800 meg
var partitions that can fill up and cause all kinds of problems with
applications and services.
Comment 1 Kenneth Porter 2004-08-07 16:21:05 EDT
See bug 129394 for another cron script enhancement request (add
Comment 2 Matthew Miller 2005-04-26 11:14:21 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Seth Vidal 2005-07-29 14:14:39 EDT
newer yums have a weekly cron job that cleans cache out.
closing as current release.

Note You need to log in before you can comment on or make changes to this bug.